Module tdlight.api
Package it.tdlight.jni

# Class TdApi.PaymentForm

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.PaymentForm

Enclosing class:
  TdApi

public static final class TdApi.PaymentForm extends TdApi.Object
Contains information about an invoice payment form.

## Field Summary

Fields
Modifier and Type
Field
Description
`TdApi.PaymentOption[]`
`additionalPaymentOptions`
The list of additional payment options.
`boolean`
`canSaveCredentials`
True, if the user can choose to save credentials.
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`long`
`id`
The payment form identifier.
`TdApi.Invoice`
`invoice`
Full information about the invoice.
`boolean`
`needPassword`
True, if the user will be able to save credentials, if sets up a 2-step verification password.
`TdApi.PaymentProvider`
`paymentProvider`
Information about the payment provider.
`long`
`paymentProviderUserId`
User identifier of the payment provider bot.
`TdApi.FormattedText`
`productDescription`
Product description.
`TdApi.Photo`
`productPhoto`
Product photo; may be null.
`String`
`productTitle`
Product title.
`TdApi.SavedCredentials[]`
`savedCredentials`
The list of saved payment credentials.
`TdApi.OrderInfo`
`savedOrderInfo`
Saved server-side order information; may be null.
`long`
`sellerBotUserId`
User identifier of the seller bot.

## Constructor Summary

Constructors
Constructor
Description
`PaymentForm()`
Contains information about an invoice payment form.
`PaymentForm(long id, TdApi.Invoice invoice, long sellerBotUserId, long paymentProviderUserId, TdApi.PaymentProvider paymentProvider, TdApi.PaymentOption[] additionalPaymentOptions, TdApi.OrderInfo savedOrderInfo, TdApi.SavedCredentials[] savedCredentials, boolean canSaveCredentials, boolean needPassword, String productTitle, TdApi.FormattedText productDescription, TdApi.Photo productPhoto)`
Contains information about an invoice payment form.
`PaymentForm(DataInput input)`
Contains information about an invoice payment form.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### id

public long id
The payment form identifier.

### invoice

public TdApi.Invoice invoice
Full information about the invoice.

### sellerBotUserId

public long sellerBotUserId
User identifier of the seller bot.

### paymentProviderUserId

public long paymentProviderUserId
User identifier of the payment provider bot.

### paymentProvider

public TdApi.PaymentProvider paymentProvider
Information about the payment provider.

### additionalPaymentOptions

public TdApi.PaymentOption[] additionalPaymentOptions
The list of additional payment options.

### savedOrderInfo

public TdApi.OrderInfo savedOrderInfo
Saved server-side order information; may be null.

### savedCredentials

public TdApi.SavedCredentials[] savedCredentials
The list of saved payment credentials.

### canSaveCredentials

public boolean canSaveCredentials
True, if the user can choose to save credentials.

### needPassword

public boolean needPassword
True, if the user will be able to save credentials, if sets up a 2-step verification password.

### productTitle

public String productTitle
Product title.

### productDescription

public TdApi.FormattedText productDescription
Product description.

### productPhoto

public TdApi.Photo productPhoto
Product photo; may be null.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### PaymentForm

public PaymentForm()
Contains information about an invoice payment form.

### PaymentForm

public PaymentForm(long id, TdApi.Invoice invoice, long sellerBotUserId, long paymentProviderUserId, TdApi.PaymentProvider paymentProvider, TdApi.PaymentOption[] additionalPaymentOptions, TdApi.OrderInfo savedOrderInfo, TdApi.SavedCredentials[] savedCredentials, boolean canSaveCredentials, boolean needPassword, String productTitle, TdApi.FormattedText productDescription, TdApi.Photo productPhoto)
Contains information about an invoice payment form.

Parameters:
  `id` - The payment form identifier.
  `invoice` - Full information about the invoice.
  `sellerBotUserId` - User identifier of the seller bot.
  `paymentProviderUserId` - User identifier of the payment provider bot.
  `paymentProvider` - Information about the payment provider.
  `additionalPaymentOptions` - The list of additional payment options.
  `savedOrderInfo` - Saved server-side order information; may be null.
  `savedCredentials` - The list of saved payment credentials.
  `canSaveCredentials` - True, if the user can choose to save credentials.
  `needPassword` - True, if the user will be able to save credentials, if sets up a 2-step verification password.
  `productTitle` - Product title.
  `productDescription` - Product description.
  `productPhoto` - Product photo; may be null.

### PaymentForm

public PaymentForm(DataInput input) throws IOException
Contains information about an invoice payment form.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`